# 게임 목록 가져오기

카탈로그 작성을 위한 게임 목록을 가져옵니다.

주의 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limit 및 offset 필드를 사용하세요.

Endpoint: GET /v2/project/{project_id}/items/game
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    페이지 요소 개수 제한.
    Example: 50

  - `offset` (integer)
    목록이 생성된 요소 개수(개수는 0부터 시작함).

  - `locale` (string)
    응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

  - `additional_fields[]` (array)
    추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

  - `country` (string)
    국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

## Response 200 fields (application/json):

  - `items` (array)
    Example: [{"attributes":{"$ref":"#/components/examples/client-attribute-game/Catalog_value"},"description":"Game description","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_1","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}],"unit_type":"game"},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"description":"Game description","groups":[{"external_id":"all","name":"All games"}],"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","name":"Game name","sku":"game_2","type":"unit","unit_items":[{"drm_name":"Steam","drm_sku":"steam","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_01","type":"game_key","virtual_prices":[]}],"unit_type":"game"}]

  - `items.attributes` (array)
    아이템에 해당하는 속성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

  - `items.attributes.external_id` (string)
    고유한 속성 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "attribute_1"

  - `items.attributes.name` (string)
    속성의 이름.
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    속성의 고유 값 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    속성 값.
    Example: "Strategy"

  - `items.description` (string)
    아이템 설명.
    Example: "Game description"

  - `items.groups` (array)
    아이템이 속한 그룹.
    Example: [{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla game"}]

  - `items.groups.external_id` (string)
    Example: "accessory"

  - `items.groups.name` (string)
    Example: "Accessory"

  - `items.image_url` (string)
    이미지 URL.
    Example: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"

  - `items.name` (string)
    아이템 이름.
    Example: "Game name"

  - `items.sku` (string)
    고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "game_01"

  - `items.type` (string)
    아이템 유형: virtual_good/virtual_currency/bundle/physical_good/unit.
    Example: "unit"

  - `items.unit_items` (array)

  - `items.unit_items.drm_name` (string)
    DRM 이름.
    Example: "Steam"

  - `items.unit_items.drm_sku` (string)
    고유 DRM ID. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "steam"

  - `items.unit_items.has_keys` (boolean)
    true이면 게임에 판매용 키가 있습니다.

  - `items.unit_items.is_free` (boolean)
    true이면 아이템이 무료입니다.

  - `items.unit_items.is_pre_order` (boolean)
    true인 경우 게임 키는 예약 주문이며 출시 날짜가 지나지 않은 것입니다.
    Example: true

  - `items.unit_items.price` (object)
    아이템 가격.

  - `items.unit_items.price.amount` (string)
    할인 아이템 가격.
    Example: "2.9900"

  - `items.unit_items.price.amount_without_discount` (string)
    아이템 가격.
    Example: "2.9900"

  - `items.unit_items.price.currency` (string)
    기본 구매 통화입니다. [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)에 따른 3자리 코드.
    Example: "USD"

  - `items.unit_items.release_date` (string)
    ISO 8601 형식의 게임 출시 날짜.
    Example: "2020-08-11T10:00:00+03:00"

  - `items.unit_items.sku` (string)
    고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.
    Example: "game_01"

  - `items.unit_items.type` (string)
    아이템 유형: game_key.
    Example: "game_key"

  - `items.unit_items.virtual_prices` (array)
    가상 가격.

  - `items.unit_items.virtual_prices.amount` (integer)
    가상 화폐로 표시된 할인된 품목 가격.
    Example: 100

  - `items.unit_items.virtual_prices.amount_without_discount` (integer)
    아이템 가격.
    Example: 200

  - `items.unit_items.virtual_prices.description` (string)
    가상 화폐 설명.
    Example: "Big Rocket - description"

  - `items.unit_items.virtual_prices.image_url` (string)
    가상 화폐의 이미지.
    Example: "http://image.png"

  - `items.unit_items.virtual_prices.is_default` (boolean)
    가격이 아이템의 기본값인지 여부입니다.
    Example: true

  - `items.unit_items.virtual_prices.name` (string)
    가상 화폐 이름.
    Example: "SHOTGUN FOR TRUE RAIDERS"

  - `items.unit_items.virtual_prices.sku` (string)
    가상 화폐 아이템 SKU.
    Example: "vc_test"

  - `items.unit_items.virtual_prices.type` (string)
    가상 화폐 유형.
    Example: "virtual_currency"

  - `items.unit_type` (string)
    단위 유형: game.
    Example: "game"


